# Settings

Manage user settings (key-value store).

## Endpoints

| Method | Path                | Description        |
| ------ | ------------------- | ------------------ |
| GET    | `/v1/settings`      | List all settings  |
| GET    | `/v1/settings/:key` | Get setting by key |
| PUT    | `/v1/settings/:key` | Update setting     |
| DELETE | `/v1/settings/:key` | Delete setting     |

***

### List Settings

```
GET /v1/settings
```

```bash
curl https://rest-api.tokenbot.com/v1/settings \
  -H "X-API-Key: tb_live_your_key"
```

***

### Get Setting

```
GET /v1/settings/:key
```

***

### Update Setting

```
PUT /v1/settings/:key
```

```json
{ "value": "dark" }
```

```bash
curl -X PUT https://rest-api.tokenbot.com/v1/settings/theme \
  -H "X-API-Key: tb_live_your_key" \
  -H "Content-Type: application/json" \
  -d '{"value":"dark"}'
```

***

### Delete Setting

```
DELETE /v1/settings/:key
```
